Subject: Bug#1019344: coreutils: stty: * (non-POSIX) markings in manual wrong

From: наб <[email-masked]>
Date: Sat, 10 Sep 2022 01:03:32 +0200

Hi!

On Wed, Sep 07, 2022 at 05:51:11PM +0200, наб wrote:
> With some text processing of the Issue 8 Draft 2.1 and stty --help,
> I produced this listing of correct markings for coreutils:
> 
> Of note:
>   * [-]iuclc xcase [-]olcuc [-]lcase [-]LCASE
>     are removed in Issue 5 (but still mentioned in the CHANGE HISTORY)
>   * this means that -xcase isn't. but there also isn't a -xcase
>     (the functionality was removed, so I assume this is either an error
>      in the log, or it was never there, cba to check rn)

I have since validated this, reported it upstream, and this was an
error, supposed to read xcase(-xcase), and will be fixed in Draft 3:
  https://www.mail-archive.com/[email-masked]/msg10129.html

The updated listing of correct markings is:
-- >8 --
 * -cooked
 * [-]cbreak
 * [-]cmspar
 * [-]crterase
 * [-]crtkill
 * [-]crtscts
 * [-]ctlecho
 * [-]decctlq
 * [-]drain
 * [-]echoctl
 * [-]echoke
 * [-]echoprt
 * [-]extproc
 * [-]flusho
 * [-]imaxbel
 * [-]iutf8
 * [-]litout
 * [-]pass8
 * [-]prterase
 * [-]tandem
 * columns
 * crt
 * dec
 * discard
 * eol2
 * line
 * lnext
 * rprnt
 * speed
 * swtch
 * werase
-- >8 --

And diff against these is:
-- >8 --
 # Missing markings        Extraneous markings      Correct markings
 * -cooked
                          * -crtkill
                          * -tabs
                          * [-]LCASE
 * [-]cbreak
                                                   * [-]cmspar
 * [-]crterase
 * [-]crtkill
                                                   * [-]crtscts
                                                   * [-]ctlecho
                                                   * [-]decctlq
                                                   * [-]drain
                                                   * [-]echoctl
                                                   * [-]echoke
                                                   * [-]echoprt
                                                   * [-]extproc
                                                   * [-]flusho
                                                   * [-]imaxbel
                          * [-]iuclc
                                                   * [-]iutf8
                          * [-]ixany
                          * [-]lcase
 * [-]litout
                          * [-]ocrnl
                          * [-]ofdel
                          * [-]ofill
                          * [-]olcuc
                          * [-]onlcr
                          * [-]onlret
                          * [-]onocr
 * [-]pass8
                                                   * [-]prterase
 * [-]tandem
                          * [-]tostop
                          * [-]xcase
                          * bsN
                          * cols
                                                   * columns
                          * crN
 * crt
                          * crtkill
 * dec
                                                   * discard
                                                   * eol2
                          * ffN
                                                   * line
                                                   * lnext
                          * nlN
                          * rows
                                                   * rprnt
                          * size
 * speed
                                                   * swtch
                          * tabN
                          * tabs
                          * vtN
                                                   * werase
-- >8 --

Best,
наб